# TinyShooter

A colorful platform 2D shooter with physics !

![TinyShooter ally character](Pictures/Ally.png)

## Build

You need `make`, `SDL1` and [Box2D](https://github.com/erincatto/box2d) to build this project.

Example on Ubuntu :
```sh
$ sudo apt install make g++ libsdl-dev libsdl-image1.2-dev libsdl-gfx1.2-dev
$ make
```

**Warning about Box2D** : you need at least version 2.4.1 in order to compile this project. If your package manager is out of date, please build Box2D and install it from source.

To execute :
```sh
$ make exec
```

## License

GNU GPLv3, see `LICENSE.txt`.
